#!BuildIgnore:          post-build-checks
Name:		alogin 
Summary:	Incredible login tool
Version:	0.11
Release:	19.1
URL:		http://www.energymech.net/madcamel/fm/
Source:		%{name}-%{version}.tgz
Source1:	ttyS0.conf
Patch0:		%{name}.diff
Group:		System Environment/Base
License:	(c) 2000 Robert Salizar, freely destributable
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
AutoReqProv:	no
BuildArch:      noarch
Requires:	perl
Requires:	perl-User-Utmp
Requires:	util-linux

BuildRequires:	patch gcc

%if 0%{?suse_version}
Patch1:		%{name}-suse.diff
%endif

%if 0%{?fedora_version} || 0%{?centos_version} >=4 && 0%{?centos_version} < 6 || 0%{?rhel_version} >= 400 && 0%{?rhel_version} < 600
Patch1:		%{name}-fedora.diff
%endif

%if 0%{?rhel_version} >= 600 || 0%{?sl_version} >= 600 || 0%{?centos_version} >= 6
Patch1:		%{name}-rhel6.diff
%endif

%description
Auto login of consoles

%prep
%setup
%patch0 -p1
%if 0%{?suse_version} || 0%{?fedora_version} || 0%{?centos_version} || 0%{?rhel_version} || 0%{?sl_version}
%patch1 -p1
%endif

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
# echo install -g 0 -o 0 -m 755 alogin /bin/alogin
install -d $RPM_BUILD_ROOT/bin
install -m 755 alogin $RPM_BUILD_ROOT/bin/alogin
# Installscript Ende
install -d $RPM_BUILD_ROOT/etc
cp PATCH/alogin.conf $RPM_BUILD_ROOT/etc/
install -d $RPM_BUILD_ROOT/usr/share/alogin
cp PATCH/securetty $RPM_BUILD_ROOT/usr/share/alogin/securetty

%if 0%{?rhel_version} >= 600 || 0%{?sl_version} >= 600 || 0%{?centos_version} >= 6
mkdir -p $RPM_BUILD_ROOT/etc/init
cp %{S:1} $RPM_BUILD_ROOT/etc/init/ttyS0.conf
%else
cp PATCH/inittab $RPM_BUILD_ROOT/usr/share/alogin/inittab
touch $RPM_BUILD_ROOT/etc/inittab-without-alogin
%endif
touch $RPM_BUILD_ROOT/etc/securetty-without-alogin


%post
esc=`echo -en "\033"`
green="${esc}[1;32m"
yellow="${esc}[1;33m"
red="${esc}[1;31m"
blue="${esc}[1;34m"
norm=`echo -en "${esc}[m\017"`
%if 0%{?rhel_version} >= 600 || 0%{?sl_version} >= 600 || 0%{?centos_version} >= 6
 :
%else
cp /etc/inittab /etc/inittab-without-alogin
cp /usr/share/alogin/inittab /etc/inittab
%endif
cp /etc/securetty /etc/securetty-without-alogin
cp /usr/share/alogin/securetty /etc/securetty
/sbin/init q || :
echo -e "${red} Currently no grub.conf patch available!${norm}"
echo -e "${blue} Please add something like: console=tty0 console=ttyS0,9600 ${norm}"
echo -e "${blue} to your /boot/grub/menu.lst into the kernel line ${norm}"

%postun

%preun
if [ -e /etc/securetty-without-alogin ]; then
  mv /etc/securetty-without-alogin /etc/securetty
  touch /etc/securetty-without-alogin
fi
%if 0%{?rhel_version} >= 600 || 0%{?sl_version} >= 600 || 0%{?centos_version} >= 6
  /sbin/init q || :
%else
if [ -e /etc/inittab-without-alogin ] ; then
  mv /etc/inittab-without-alogin /etc/inittab
  touch /etc/inittab-without-alogin
  /sbin/init q || :
fi
%endif

%files
%defattr(-,root,root)
%config(noreplace) /etc/alogin.conf
/etc/securetty-without-alogin
%dir /usr/share/alogin
%{_datadir}/alogin/*
/bin/alogin
%if 0%{?rhel_version} >= 600 || 0%{?sl_version} >= 600 || 0%{?centos_version} >= 6
%{_sysconfdir}/init/ttyS0.conf
%else
/etc/inittab-without-alogin
%endif

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
rm -rf %{_builddir}/%{name}-%{version}

%changelog
* Mon Aug 29 2011 Carsten Schoene <cs@linux-administrator.com> - 0.11-7
- fix for Scientific Linux 6.x & CentOS 6.x

* Wed Nov 24 2010 Carsten Schoene <cs@linux-administrator.com> - 0.11-6
- fix RHEL 6 build

* Tue Nov 23 2010 Carsten Schoene <cs@linux-administrator.com> - 0.11-5
- fix SuSE packages

* Thu Nov 18 2010 Carsten Schoene <cs@linux-administrator.com> - 0.11-2
- make it RHEL_6 & upstart compatible

* Sun Apr 01 2007 Carsten Schoene <cs@linux-administrator.com> - 0.11
- combined suse & fedora package into one source base
- remove perl-User-Utmp module from this package and create it as 
  standalone package.
- migrated the package to buildservice
